import React from "react";
declare const baseRules: {
    newline: import("simple-markdown").TextInOutRule;
    paragraph: import("simple-markdown").DefaultInOutRule;
    escape: import("simple-markdown").DefaultInRule;
    link: import("simple-markdown").DefaultInOutRule;
    url: import("simple-markdown").DefaultInRule;
    strong: import("simple-markdown").DefaultInOutRule;
    em: import("simple-markdown").DefaultInOutRule;
    u: import("simple-markdown").DefaultInOutRule;
    br: import("simple-markdown").DefaultInOutRule;
    inlineCode: import("simple-markdown").DefaultInOutRule;
    autolink: {
        match: import("simple-markdown").MatchFunction;
        order: number;
        quality?: ((capture: import("simple-markdown").Capture, state: import("simple-markdown").State, prevCapture: string) => number) | undefined;
        parse: import("simple-markdown").SingleNodeParseFunction;
        react: import("simple-markdown").ReactNodeOutput | null;
        html: import("simple-markdown").HtmlNodeOutput | null;
    };
    blockQuote: {
        match: (source: any, { prevCapture }: {
            prevCapture: any;
        }) => RegExpExecArray | null;
        parse: (capture: any, parse: any, state: any) => {
            content: any;
        };
        order: number;
        quality?: ((capture: import("simple-markdown").Capture, state: import("simple-markdown").State, prevCapture: string) => number) | undefined;
        react: import("simple-markdown").RefiningNodeOutput<React.ReactNode, import("simple-markdown").ReactElement>;
        html: import("simple-markdown").HtmlNodeOutput;
    };
    emoticon: {
        order: number;
        match: (source: any) => RegExpExecArray | null;
        parse: (capture: any) => {
            type: string;
            content: any;
        };
    };
    codeBlock: {
        order: number;
        match: (source: any) => RegExpExecArray | null;
        parse: ([, , lang, content]: [any, any, any, any]) => {
            lang: any;
            content: any;
        };
    };
    customEmoji: {
        order: number;
        match: (source: any) => RegExpExecArray | null;
        parse: ([, animated, name, id]: [any, any, any, any]) => {
            id: any;
            name: any;
            animated: boolean;
            src: string;
        };
        react: (node: any, recurseOutput: any, state: any) => JSX.Element;
    };
    text: {
        parse: ([content]: [any], recurseParse: any, state: any) => any;
        react(node: any, recurseOutput: any, state: any): JSX.Element;
        order: number;
        match: import("simple-markdown").MatchFunction;
        quality?: ((capture: import("simple-markdown").Capture, state: import("simple-markdown").State, prevCapture: string) => number) | undefined;
        html: import("simple-markdown").HtmlNodeOutput;
    };
    defaultEmoji: {
        order: number;
        match: (source: any) => RegExpExecArray | null;
        parse: (match: any) => {
            content: any;
        };
        react: ({ content }: {
            content: any;
        }, recurseOutput: any, state: any) => JSX.Element;
    };
    mention: {
        order: number;
        match: (source: any) => RegExpExecArray | null;
        parse: ([, id]: [any, any]) => {
            id: any;
        };
        react: ({ id }: {
            id: any;
        }, recurseParse: any, state: any) => JSX.Element;
    };
    channelMention: {
        order: number;
        match: (source: any) => RegExpExecArray | null;
        parse: ([, id]: [any, any]) => {
            id: any;
        };
        react: ({ id }: {
            id: any;
        }, recurseParse: any, state: any) => JSX.Element;
    };
    roleMention: {
        order: number;
        match: (source: any) => RegExpExecArray | null;
        parse: ([, id]: [any, any]) => {
            id: any;
        };
        react: ({ id }: {
            id: any;
        }, recurseParse: any, state: any) => JSX.Element;
    };
    everyoneOrHereMention: {
        order: number;
        match: (source: string) => RegExpExecArray | null;
        parse: ([, group]: [any, any]) => {
            group: any;
        };
        react: ({ group }: {
            group: any;
        }, recurseParse: any, state: any) => JSX.Element;
    };
    s: {
        order: number;
        match: import("simple-markdown").MatchFunction;
        parse: import("simple-markdown").SingleNodeParseFunction;
    };
    spoiler: {
        order: number;
        match: import("simple-markdown").MatchFunction;
        parse: import("simple-markdown").SingleNodeParseFunction;
    };
    timestamp: {
        order: number;
        match: import("simple-markdown").MatchFunction;
        parse: ({ groups }: {
            groups: any;
        }) => any;
    };
    command: {
        order: number;
        match: import("simple-markdown").MatchFunction;
        parse: (capture: any) => {
            name: any;
        };
    };
};
export default baseRules;
//# sourceMappingURL=index.d.ts.map